(*
 *	Copyright (c) 2002 by Laboratoire Spcification et Vrification (LSV),
 *	CNRS UMR 8643 & ENS Cachan.
 *	Written by Jean Goubault-Larrecq.  Not derived from licensed software.
 *
 *	Permission is granted to anyone to use this software for any
 *	purpose on any computer system, and to redistribute it freely,
 *	subject to the following restrictions:
 *
 *	1. Neither the author nor its employer is responsible for the 
 *         consequences of use of this software, no matter how awful, 
 *         even if they arise from defects in it.
 *
 *	2. The origin of this software must not be misrepresented, either
 *	   by explicit claim or by omission.
 *
 *	3. Altered versions must be plainly marked as such, and must not
 *	   be misrepresented as being the original software.
 *
 *	4. This software is restricted to non-commercial use only.  Commercial
 *	   use is subject to a specific license, obtainable from LSV.
 *	   This was developed as part of the EVA project; as such, access
 *	   to this software by partners of the RNTL EVA Project (Trusted
 *	   Logic S.A., Verimag) is defined by the intellectual property
 *	   agreement signed as part of this project.
 *)

(*
 * Pretty print specification in abstract syntax into CPL
 *)

open Abstract;;

val cplpp_label : eva_label -> unit;;
val cplpp_llabel : eva_llabel -> unit;;

val cplpp_type : eva_type -> unit;;
val cplpp_ltype : eva_ltype -> unit;;

val cplpp_scope : eva_scope -> unit;;
val cplpp_lscope : eva_lscope -> unit;;

val cplpp_id : eva_id -> unit;;
val cplpp_lid : eva_lid -> unit;;

val cplpp_value : eva_value -> unit;;
val cplpp_lvalue : eva_lvalue -> unit;;

val cplpp_term : eva_term -> unit;;
val cplpp_lterm : eva_lterm -> unit;;

val cplpp_session : eva_session -> unit;;
val cplpp_lsession : eva_lsession -> unit;;

val cplpp_atom : eva_atom -> unit;;
val cplpp_latom : eva_latom -> unit;;

val cplpp_assume : eva_statement -> unit;;
val cplpp_lassume : eva_lstatement -> unit;;

val cplpp_claim : eva_statement -> unit;;
val cplpp_lclaim : eva_lstatement -> unit;;

val cplpp_spec : eva_spec -> unit;;
